define run_make
$(MAKE) $1 TV_FORMAT=PAL CUSTOM_CONFIG=$2
$(MAKE) $1 TV_FORMAT=NTSC CUSTOM_CONFIG=$2
endef

define do_target
$(call run_make,$1,)
$(foreach config,$2,$(call run_make,$1,$(config)))
endef

config_files = $(shell cd ../../config && ls -d */)

all:
	$(call do_target,all,$(config_files))
	
clean:
	$(call do_target,clean,$(config_files))

rebuild:
	$(call do_target,rebuild,$(config_files))